<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance'  xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="Attachment"   package="performa.orm">
        
        <TABLE  name="tl_attachment"  tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="AttachmentName"     type="String"           dbcol="attachment_name"    length="100" />
            <ATTRIB name="AttachmentFile"     type="BinaryContent"    dbcol="attachment_file"    attribHelper="BLOBAttributeHelper"  attribHelperInstance="BLOBAttributeHelper.INSTANCE" binaryHandler="loggedin"/>

            <SINGLEREFERENCE    name="EmailMessage"   type="EmailMessage"      dbcol="email_message_id"  backreferenceName="Attachments"/>
            
        </TABLE>
        
    </BUSINESSCLASS>

</ROOT>